## com.vividsolutions.jts.simplify
Class TaggedLineStringSimplifier

    java.lang.Object
      com.vividsolutions.jts.simplify.TaggedLineStringSimplifier

public class TaggedLineStringSimplifier
extends java.lang.Object

Simplifies a TaggedLineString, preserving topology (in the sense that no new intersections are introduced). Uses the recursive Douglas-Peucker algorithm.

Version:
  1.7
Author:
  Martin Davis

Constructor Summary
`TaggedLineStringSimplifier(LineSegmentIndex inputIndex, LineSegmentIndex outputIndex)`

Method Summary
`void` `setDistanceTolerance(double distanceTolerance)` Sets the distance tolerance for the simplification.
`void` `simplify(TaggedLineString line)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaggedLineStringSimplifier

    public TaggedLineStringSimplifier(LineSegmentIndex inputIndex,
                                      LineSegmentIndex outputIndex)

Method Detail

### setDistanceTolerance

    public void setDistanceTolerance(double distanceTolerance)

  Sets the distance tolerance for the simplification. All vertices in the simplified geometry will be within this distance of the original geometry.

  Parameters:
    `distanceTolerance` - the approximation tolerance to use

### simplify

    public void simplify(TaggedLineString line)